Projecten

Projecten

Projecten en uren ophalen/beheren. Scope: projects.read / projects.write.

Projecten ophalen

GET /v1/projects
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Naam Type Beschrijving
page integer
per_page integer
search string
client_id string
Request body

Geen

Response
data array
id string
name string
number string
status string

Project status.

Enum
planned active on_hold completed cancelled
client_id string
budget number
start_date string
end_date string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/projects
curl -X GET "https://api.appficient.nl/v1/projects" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Project aanmaken

POST /v1/projects
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Headers
Naam Type Beschrijving
Idempotency-Key string Optional. Replay within 24h returns the same response.
Request body
name string Required
client_id string
status string

Project status.

Enum
planned active on_hold completed cancelled
start_date string
end_date string
budget number
Response
data object
id string
name string
number string
status string

Project status.

Enum
planned active on_hold completed cancelled
client_id string
budget number
start_date string
end_date string
meta object

Examples

POST /v1/projects
curl -X POST "https://api.appficient.nl/v1/projects" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "client_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "status": "planned",
    "start_date": "2026-07-01",
    "end_date": "2026-07-01",
    "budget": 0
}'

Curl, Node en response staan rechts naast dit endpoint.

Project ophalen

GET /v1/projects/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body

Geen

Response
data object
id string
name string
number string
status string

Project status.

Enum
planned active on_hold completed cancelled
client_id string
budget number
start_date string
end_date string
meta object

Examples

GET /v1/projects/{id}
curl -X GET "https://api.appficient.nl/v1/projects/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Project bijwerken

PATCH /v1/projects/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body
name string
client_id string
status string

Project status.

Enum
planned active on_hold completed cancelled
start_date string
end_date string
budget number
Response
data object
id string
name string
number string
status string

Project status.

Enum
planned active on_hold completed cancelled
client_id string
budget number
start_date string
end_date string
meta object

Examples

PATCH /v1/projects/{id}
curl -X PATCH "https://api.appficient.nl/v1/projects/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "client_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "status": "planned",
    "start_date": "2026-07-01",
    "end_date": "2026-07-01",
    "budget": 0
}'

Curl, Node en response staan rechts naast dit endpoint.

Projecturen ophalen

GET /v1/projects/{id}/hours
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Query
Naam Type Beschrijving
page integer
per_page integer
from string
to string
status string Filter by hour status (`draft`, `submitted`, `approved`, or `rejected`).
Request body

Geen

Response
data array
date string
hours number
minutes integer
status string

Time entry status.

Enum
draft submitted approved rejected
activity_name string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/projects/{id}/hours
curl -X GET "https://api.appficient.nl/v1/projects/{id}/hours" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.